Method: projects.locations.brands.listHistory

Lists history entries for a brand.

HTTP request

GET https://foodorderingaiagent.googleapis.com/v1/{parent=projects/*/locations/*/brands/*}:listHistory

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The brand to list history for. Format: projects/{project}/locations/{location}/brands/{brand}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of history entries to return.

pageToken

string

Optional. A page token, received from a previous brands.listHistory call.

filter

string

Optional. A filter expression to filter the results. Supported filters: - user: Filter by creator user. - timestamp: Filter by commit time. - resourceType: Filter by resource type.

Request body

The request body must be empty.

Response body

Response message for MenuService.ListBrandHistory.

If successful, the response body contains data with the following structure:

JSON representation
{
  "brandHistory": [
    {
      object (HistoryEntry)
    }
  ],
  "nextPageToken": string
}
Fields
brandHistory[]

object (HistoryEntry)

The history entries.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

HistoryEntry

History entry for a resource revision.

JSON representation
{
  "commitTime": string,
  "createdBy": string,
  "revisionName": string,
  "resourceType": string,

  // Union field resource_revision can be only one of the following:
  "brand": {
    object (Brand)
  },
  "store": {
    object (Store)
  },
  "channelConfig": {
    object (ChannelConfig)
  },
  "configApplicationRule": {
    object (ConfigApplicationRule)
  }
  // End of list of possible types for union field resource_revision.
}
Fields
commitTime

string (Timestamp format)

The time the revision was created.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

createdBy

string

The user or service that created the revision.

revisionName

string

The full resource name of the revision.

resourceType

string

The type of the base resource (e.g., "Brand", "Store", "ChannelConfig").

Union field resource_revision. The resource revision. resource_revision can be only one of the following:
brand

object (Brand)

The brand at the time of the commit.

store

object (Store)

The store at the time of the commit.

channelConfig

object (ChannelConfig)

The channel config at the time of the commit.

configApplicationRule

object (ConfigApplicationRule)

The config application rule at the time of the commit.